/*===========================================================================*/
/*   (Module/statexp.scm)                                                    */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -q -afile .afile -fsharing -fno-reflection -cc gcc-2.95 -lib-dir /users/serrano/prgm/project/bigloo/lib/2.6b -unsafev -no-hello -O2 -rm -unsafe -s -indent Module/statexp.scm)*/
/* GC selection */
#define THE_GC BOEHM_GC

#include <bigloo.h>


/* Object type definitions */
typedef struct BgL_ccompz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_producerz00;
   obj_t BgL_consumerz00;
   obj_t BgL_finaliza7erza7;
} *BgL_ccompz00_bglt;

typedef struct BgL_typez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   obj_t BgL_siza7eza7;
   obj_t BgL_classz00;
   obj_t BgL_coercezd2tozd2;
   obj_t BgL_parentsz00;
   bool_t BgL_initzf3zf3;
   bool_t BgL_magiczf3zf3;
   obj_t BgL_z42z42;
   obj_t BgL_aliasz00;
   obj_t BgL_pointedzd2tozd2byz00;
   obj_t BgL_tvectorz00;
   obj_t BgL_locationz00;
   obj_t BgL_importzd2locationzd2;
} *BgL_typez00_bglt;

typedef struct BgL_tclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   struct BgL_globalz00_bgl * BgL_holderz00;
   obj_t BgL_wideningz00;
   long BgL_depthz00;
   bool_t BgL_finalzf3zf3;
   obj_t BgL_constructorz00;
   obj_t BgL_virtualzd2slotszd2numberz00;
   bool_t BgL_abstractzf3zf3;
   obj_t BgL_widezd2typezd2;
} *BgL_tclassz00_bglt;

typedef struct BgL_jclassz00_bgl {
   obj_t BgL_itszd2superzd2;
   obj_t BgL_slotsz00;
   obj_t BgL_packagez00;
} *BgL_jclassz00_bglt;

typedef struct BgL_wclassz00_bgl {
   obj_t BgL_itszd2classzd2;
} *BgL_wclassz00_bglt;

typedef struct BgL_valuez00_bgl {
   header_t header;
   obj_t widening;
} *BgL_valuez00_bglt;

typedef struct BgL_variablez00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
} *BgL_variablez00_bglt;

typedef struct BgL_globalz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   obj_t BgL_modulez00;
   obj_t BgL_importz00;
   bool_t BgL_evaluablezf3zf3;
   bool_t BgL_libraryzf3zf3;
   bool_t BgL_userzf3zf3;
   obj_t BgL_pragmaz00;
   obj_t BgL_srcz00;
   obj_t BgL_jvmzd2typezd2namez00;
} *BgL_globalz00_bglt;

typedef struct BgL_localz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_idz00;
   obj_t BgL_namez00;
   struct BgL_typez00_bgl * BgL_typez00;
   struct BgL_valuez00_bgl * BgL_valuez00;
   obj_t BgL_accessz00;
   obj_t BgL_fastzd2alphazd2;
   obj_t BgL_removablez00;
   long BgL_occurrencez00;
   bool_t BgL_userzf3zf3;
   long BgL_keyz00;
} *BgL_localz00_bglt;

typedef struct BgL_funz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
} *BgL_funz00_bglt;

typedef struct BgL_sfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_propertyz00;
   obj_t BgL_argsz00;
   obj_t BgL_bodyz00;
   obj_t BgL_classz00;
   obj_t BgL_dssslzd2keywordszd2;
   obj_t BgL_locz00;
} *BgL_sfunz00_bglt;

typedef struct BgL_cfunz00_bgl {
   header_t header;
   obj_t widening;
   long BgL_arityz00;
   obj_t BgL_sidezd2effectzf3z21;
   obj_t BgL_predicatezd2ofzd2;
   obj_t BgL_stackzd2allocatorzd2;
   bool_t BgL_topzf3zf3;
   obj_t BgL_thezd2closurezd2;
   obj_t BgL_effectz00;
   obj_t BgL_argszd2typezd2;
   bool_t BgL_macrozf3zf3;
   bool_t BgL_infixzf3zf3;
   obj_t BgL_methodz00;
} *BgL_cfunz00_bglt;

typedef struct BgL_svarz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_locz00;
} *BgL_svarz00_bglt;

typedef struct BgL_scnstz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_nodez00;
   obj_t BgL_classz00;
   obj_t BgL_locz00;
} *BgL_scnstz00_bglt;

typedef struct BgL_cvarz00_bgl {
   header_t header;
   obj_t widening;
   bool_t BgL_macrozf3zf3;
} *BgL_cvarz00_bglt;

typedef struct BgL_sexitz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_handlerz00;
   bool_t BgL_detachedzf3zf3;
} *BgL_sexitz00_bglt;

typedef struct BgL_feffectz00_bgl {
   header_t header;
   obj_t widening;
   obj_t BgL_readz00;
   obj_t BgL_writez00;
} *BgL_feffectz00_bglt;


static obj_t BGl_methodzd2initzd2zzmodule_statexpz00();
BGL_IMPORT obj_t open_input_string(obj_t);
static obj_t BGl_exportzd2consumerzd2zzmodule_statexpz00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(obj_t);
extern BgL_ccompz00_bglt BGl_makezd2ccompzd2zzmodule_modulez00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31998ze3z83zzmodule_statexpz00(obj_t);
BGL_IMPORT obj_t BGl_readz00zz__readerz00(obj_t);
static obj_t BGl__exportzd2consumerzd2zzmodule_statexpz00(obj_t, obj_t, obj_t);
extern obj_t BGl_userzd2errorzf2locationz20zztools_errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
extern obj_t BGl_za2moduleza2z00zzmodule_modulez00;
extern obj_t BGl_findzd2locationzd2zztools_locationz00(obj_t);
static obj_t BGl_zc3anonymousza31882ze3z83zzmodule_statexpz00(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza31883ze3z83zzmodule_statexpz00(obj_t);
BGL_IMPORT obj_t BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(obj_t);
extern BgL_globalz00_bglt BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zzmodule_statexpz00();
static obj_t BGl__makezd2exportzd2compilerz00zzmodule_statexpz00(obj_t);
extern obj_t BGl_za2modulezd2clauseza2zd2zzmodule_modulez00;
BGL_EXPORTED_DECL obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();
static obj_t BGl_importedzd2moduleszd2initz00zzmodule_statexpz00();
static obj_t BGl__statexpzd2producerzd2zzmodule_statexpz00(obj_t, obj_t);
static obj_t BGl_zc3anonymousza32010ze3z83zzmodule_statexpz00(obj_t);
extern obj_t BGl_parsezd2prototypezd2zzmodule_prototypez00(obj_t);
static obj_t BGl_statexpzd2finaliza7erz75zzmodule_statexpz00();
extern BgL_globalz00_bglt BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_toplevelzd2initzd2zzmodule_statexpz00();
BGL_IMPORT obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_zc3anonymousza32023ze3z83zzmodule_statexpz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_modulez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_prototypez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzmodule_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_argsz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztools_locationz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zztype_typez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzobject_classz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_varz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_identz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
extern obj_t BGl_userzd2errorzd2zztools_errorz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_statexpzd2parserzd2zzmodule_statexpz00(obj_t, obj_t);
extern obj_t BGl_declarezd2classz12zc0zzmodule_classz00(obj_t, obj_t, obj_t, bool_t, bool_t, obj_t, obj_t);
extern obj_t BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_globalz00_bglt);
BGL_IMPORT obj_t BGl_memvz00zz__r4_pairs_and_lists_6_3z00(obj_t, obj_t);
static obj_t BGl__makezd2staticzd2compilerz00zzmodule_statexpz00(obj_t);
extern obj_t BGl_declarezd2widezd2classz12z12zzmodule_classz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();
static obj_t BGl__statexpzd2finaliza7erz75zzmodule_statexpz00(obj_t);
BGL_IMPORT obj_t BGl_makezd2promisezd2zz__r4_control_features_6_9z00(obj_t);
static obj_t BGl_requirezd2initializa7ationz75zzmodule_statexpz00 = BUNSPEC;
extern obj_t BGl_classzd2finaliza7erz75zzmodule_classz00();
static obj_t BGl_statexpzd2producerzd2zzmodule_statexpz00(obj_t);
BGL_IMPORT bool_t BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00();
static obj_t BGl_zc3anonymousza31983ze3z83zzmodule_statexpz00(obj_t);
static obj_t __cnst[ 9 ] ;


DEFINE_STATIC_PROCEDURE( BGl_statexpzd2finaliza7erzd2envza7zzmodule_statexpz00, BgL_bgl__statexpza7d2finaliza7a7erza775za7za7module_statexpza7002331z00, BGl__statexpzd2finaliza7erz75zzmodule_statexpz00, 0L, 0 );
DEFINE_STRING( BGl_string2299z00zzmodule_statexpz00, BgL_bgl_string2299za700za7za7module_statexpza7002332z00, "Parse error", 11 );
DEFINE_STRING( BGl_string2298z00zzmodule_statexpz00, BgL_bgl_string2298za700za7za7module_statexpza7002333z00, "' clause", 8 );
DEFINE_STRING( BGl_string2297z00zzmodule_statexpz00, BgL_bgl_string2297za700za7za7module_statexpza7002334z00, "Illegal `", 9 );
DEFINE_STRING( BGl_string2302z00zzmodule_statexpz00, BgL_bgl_string2302za700za7za7module_statexpza7002335z00, "wide-class final-class abstract-class class svar (sfun sifun sgfun) export void static ", 87 );
DEFINE_STRING( BGl_string2301z00zzmodule_statexpz00, BgL_bgl_string2301za700za7za7module_statexpza7002336z00, "Illegal prototype", 17 );
DEFINE_STRING( BGl_string2300z00zzmodule_statexpz00, BgL_bgl_string2300za700za7za7module_statexpza7002337z00, "Illegal `export' clause", 23 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2exportzd2compilerzd2envzd2zzmodule_statexpz00, BgL_bgl__makeza7d2exportza7d2compilerza700za7za7module_statexpza7002338z00, BGl__makezd2exportzd2compilerz00zzmodule_statexpz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_exportzd2consumerzd2envz00zzmodule_statexpz00, BgL_bgl__exportza7d2consumerza7d2za7za7module_statexpza7002339za7, BGl__exportzd2consumerzd2zzmodule_statexpz00, 0L, 2 );
DEFINE_STATIC_PROCEDURE( BGl_proc2295z00zzmodule_statexpz00, BgL_bgl_za7c3anonymousza7a31883za7e3za783za7za7module_statexpza7002340za7, BGl_zc3anonymousza31883ze3z83zzmodule_statexpz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_proc2296z00zzmodule_statexpz00, BgL_bgl_za7c3anonymousza7a31882za7e3za783za7za7module_statexpza7002341za7, BGl_zc3anonymousza31882ze3z83zzmodule_statexpz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_makezd2staticzd2compilerzd2envzd2zzmodule_statexpz00, BgL_bgl__makeza7d2staticza7d2compilerza700za7za7module_statexpza7002342z00, BGl__makezd2staticzd2compilerz00zzmodule_statexpz00, 0L, 0 );
DEFINE_STATIC_PROCEDURE( BGl_statexpzd2producerzd2envz00zzmodule_statexpz00, BgL_bgl__statexpza7d2producerza7d2za7za7module_statexpza7002343za7, BGl__statexpzd2producerzd2zzmodule_statexpz00, 0L, 1 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zzmodule_statexpz00(long BgL_checksumz00_699, char * BgL_fromz00_700)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zzmodule_statexpz00))
{ 
BGl_requirezd2initializa7ationz75zzmodule_statexpz00 = 
BBOOL(((bool_t)0)); 
BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00(); 
BGl_cnstzd2initzd2zzmodule_statexpz00(); 
BGl_importedzd2moduleszd2initz00zzmodule_statexpz00(); 
BGl_toplevelzd2initzd2zzmodule_statexpz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__readerz00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(((long)0), "module_statexp"); 
BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(((long)0), "module_statexp"); 
return BUNSPEC;} 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
{ /* ./Module/statexp.scm 15 */
obj_t BgL_cportz00_690;
BgL_cportz00_690 = 
open_input_string(BGl_string2302z00zzmodule_statexpz00); 
{ 
long BgL_iz00_691;
BgL_iz00_691 = ((long)8); 
BgL_loopz00_692:
{ /* ./Module/statexp.scm 15 */
bool_t BgL_test2304z00_693;
BgL_test2304z00_693 = 
(BgL_iz00_691==((long)-1)); 
if(BgL_test2304z00_693)
{ /* ./Module/statexp.scm 15 */
return BUNSPEC;}  else 
{ /* ./Module/statexp.scm 15 */
{ /* ./Module/statexp.scm 15 */
obj_t BgL_arg2306z00_694;
{ /* ./Module/statexp.scm 15 */
obj_t BgL_list2309z00_695;
BgL_list2309z00_695 = 
MAKE_PAIR(BgL_cportz00_690, BNIL); 
BgL_arg2306z00_694 = 
BGl_readz00zz__readerz00(BgL_list2309z00_695); } 
{ /* ./Module/statexp.scm 15 */
int BgL_auxz00_718;
BgL_auxz00_718 = 
(int)(BgL_iz00_691); 
CNST_TABLE_SET(BgL_auxz00_718, BgL_arg2306z00_694); } } 
{ /* ./Module/statexp.scm 15 */
int BgL_auxz00_696;
{ /* ./Module/statexp.scm 15 */
long BgL_auxz00_721;
BgL_auxz00_721 = 
(BgL_iz00_691-((long)1)); 
BgL_auxz00_696 = 
(int)(BgL_auxz00_721); } 
{ 
long BgL_iz00_724;
BgL_iz00_724 = 
(long)(BgL_auxz00_696); 
BgL_iz00_691 = BgL_iz00_724; 
goto BgL_loopz00_692;} } } } } } } 
}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BNIL, BUNSPEC) ;} 
}



/* make-static-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2staticzd2compilerz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 35 */
{ /* ./Module/statexp.scm 36 */
obj_t BgL_arg1877z00_367;obj_t BgL_arg1878z00_368;
BgL_arg1877z00_367 = 
CNST_TABLE_REF(((long)0)); 
BgL_arg1878z00_368 = BGl_statexpzd2producerzd2envz00zzmodule_statexpz00; 
{ /* ./Module/statexp.scm 36 */
BgL_ccompz00_bglt BgL_auxz00_727;
BgL_auxz00_727 = 
BGl_makezd2ccompzd2zzmodule_modulez00(BgL_arg1877z00_367, BgL_arg1878z00_368, BGl_proc2296z00zzmodule_statexpz00, BGl_proc2295z00zzmodule_statexpz00); 
return 
(obj_t)(BgL_auxz00_727);} } } 
}



/* _make-static-compiler */
obj_t BGl__makezd2staticzd2compilerz00zzmodule_statexpz00(obj_t BgL_envz00_657)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 35 */
return 
BGl_makezd2staticzd2compilerz00zzmodule_statexpz00();} 
}



/* <anonymous:1883> */
obj_t BGl_zc3anonymousza31883ze3z83zzmodule_statexpz00(obj_t BgL_envz00_658)
{ AN_OBJECT;
{ /* ./Module/module.scm 50 */
{ 

return 
CNST_TABLE_REF(((long)1));} } 
}



/* <anonymous:1882> */
obj_t BGl_zc3anonymousza31882ze3z83zzmodule_statexpz00(obj_t BgL_envz00_659, obj_t BgL_mz00_660, obj_t BgL_cz00_661)
{ AN_OBJECT;
{ /* ./Module/module.scm 48 */
return BNIL;} 
}



/* make-export-compiler */
BGL_EXPORTED_DEF obj_t BGl_makezd2exportzd2compilerz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 42 */
{ /* ./Module/statexp.scm 43 */
obj_t BgL_arg1885z00_377;obj_t BgL_arg1886z00_378;obj_t BgL_arg1887z00_379;obj_t BgL_arg1888z00_380;
BgL_arg1885z00_377 = 
CNST_TABLE_REF(((long)2)); 
BgL_arg1886z00_378 = BGl_statexpzd2producerzd2envz00zzmodule_statexpz00; 
BgL_arg1887z00_379 = BGl_exportzd2consumerzd2envz00zzmodule_statexpz00; 
BgL_arg1888z00_380 = BGl_statexpzd2finaliza7erzd2envza7zzmodule_statexpz00; 
{ /* ./Module/statexp.scm 43 */
BgL_ccompz00_bglt BgL_auxz00_733;
BgL_auxz00_733 = 
BGl_makezd2ccompzd2zzmodule_modulez00(BgL_arg1885z00_377, BgL_arg1886z00_378, BgL_arg1887z00_379, BgL_arg1888z00_380); 
return 
(obj_t)(BgL_auxz00_733);} } } 
}



/* _make-export-compiler */
obj_t BGl__makezd2exportzd2compilerz00zzmodule_statexpz00(obj_t BgL_envz00_664)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 42 */
return 
BGl_makezd2exportzd2compilerz00zzmodule_statexpz00();} 
}



/* statexp-producer */
obj_t BGl_statexpzd2producerzd2zzmodule_statexpz00(obj_t BgL_clausez00_19)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 51 */
{ /* ./Module/statexp.scm 52 */
obj_t BgL_modez00_381;
BgL_modez00_381 = 
CAR(BgL_clausez00_19); 
{ 
obj_t BgL_protosz00_382;
{ /* ./Module/statexp.scm 53 */
bool_t BgL_test1890z00_386;
BgL_test1890z00_386 = 
PAIRP(BgL_clausez00_19); 
if(BgL_test1890z00_386)
{ /* ./Module/statexp.scm 53 */
obj_t BgL_arg1892z00_387;
BgL_arg1892z00_387 = 
CDR(BgL_clausez00_19); 
BgL_protosz00_382 = BgL_arg1892z00_387; 
{ 
obj_t BgL_l1831z00_388;
BgL_l1831z00_388 = BgL_protosz00_382; 
BgL_forzd2each1832zd2_389:
{ /* ./Module/statexp.scm 55 */
bool_t BgL_test1898z00_390;
BgL_test1898z00_390 = 
PAIRP(BgL_l1831z00_388); 
if(BgL_test1898z00_390)
{ /* ./Module/statexp.scm 55 */
{ /* ./Module/statexp.scm 55 */
obj_t BgL_protoz00_391;
BgL_protoz00_391 = 
CAR(BgL_l1831z00_388); 
BGl_statexpzd2parserzd2zzmodule_statexpz00(BgL_protoz00_391, BgL_modez00_381); } 
{ /* ./Module/statexp.scm 55 */
obj_t BgL_arg1902z00_392;
BgL_arg1902z00_392 = 
CDR(BgL_l1831z00_388); 
{ 
obj_t BgL_l1831z00_746;
BgL_l1831z00_746 = BgL_arg1902z00_392; 
BgL_l1831z00_388 = BgL_l1831z00_746; 
goto BgL_forzd2each1832zd2_389;} } }  else 
{ /* ./Module/statexp.scm 55 */((bool_t)1); } } } 
return BNIL;}  else 
{ /* ./Module/statexp.scm 53 */
{ /* ./Module/statexp.scm 58 */
obj_t BgL_arg1908z00_393;obj_t BgL_arg1915z00_395;
BgL_arg1908z00_393 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/statexp.scm 60 */
obj_t BgL_arg1924z00_399;
{ /* ./Module/statexp.scm 62 */
obj_t BgL_arg1928z00_401;
BgL_arg1928z00_401 = 
SYMBOL_TO_STRING(BgL_modez00_381); 
BgL_arg1924z00_399 = 
BGl_stringzd2downcasezd2zz__r4_strings_6_7z00(BgL_arg1928z00_401); } 
BgL_arg1915z00_395 = 
string_append_3(BGl_string2297z00zzmodule_statexpz00, BgL_arg1924z00_399, BGl_string2298z00zzmodule_statexpz00); } 
{ /* ./Module/statexp.scm 58 */
obj_t BgL_list1918z00_397;
BgL_list1918z00_397 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1908z00_393, BGl_string2299z00zzmodule_statexpz00, BgL_arg1915z00_395, BgL_clausez00_19, BgL_list1918z00_397);} } } } } } } 
}



/* _statexp-producer */
obj_t BGl__statexpzd2producerzd2zzmodule_statexpz00(obj_t BgL_envz00_662, obj_t BgL_clausez00_663)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 51 */
return 
BGl_statexpzd2producerzd2zzmodule_statexpz00(BgL_clausez00_663);} 
}



/* export-consumer */
obj_t BGl_exportzd2consumerzd2zzmodule_statexpz00(obj_t BgL_modulez00_20, obj_t BgL_clausez00_21)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 70 */
{ 

{ /* ./Module/statexp.scm 71 */
bool_t BgL_test1932z00_406;
BgL_test1932z00_406 = 
PAIRP(BgL_clausez00_21); 
if(BgL_test1932z00_406)
{ /* ./Module/statexp.scm 71 */
return 
CDR(BgL_clausez00_21);}  else 
{ /* ./Module/statexp.scm 71 */
{ /* ./Module/statexp.scm 75 */
obj_t BgL_arg1941z00_408;
BgL_arg1941z00_408 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/statexp.scm 75 */
obj_t BgL_list1950z00_412;
BgL_list1950z00_412 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg1941z00_408, BGl_string2299z00zzmodule_statexpz00, BGl_string2300z00zzmodule_statexpz00, BgL_clausez00_21, BgL_list1950z00_412);} } } } } } 
}



/* _export-consumer */
obj_t BGl__exportzd2consumerzd2zzmodule_statexpz00(obj_t BgL_envz00_665, obj_t BgL_modulez00_666, obj_t BgL_clausez00_667)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 70 */
return 
BGl_exportzd2consumerzd2zzmodule_statexpz00(BgL_modulez00_666, BgL_clausez00_667);} 
}



/* statexp-parser */
obj_t BGl_statexpzd2parserzd2zzmodule_statexpz00(obj_t BgL_prototypez00_22, obj_t BgL_importz00_23)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 84 */
{ /* ./Module/statexp.scm 85 */
obj_t BgL_protoz00_413;
BgL_protoz00_413 = 
BGl_parsezd2prototypezd2zzmodule_prototypez00(BgL_prototypez00_22); 
{ /* ./Module/statexp.scm 86 */
bool_t BgL_test1953z00_414;
BgL_test1953z00_414 = 
PAIRP(BgL_protoz00_413); 
if(BgL_test1953z00_414)
{ /* ./Module/statexp.scm 92 */
obj_t BgL_casezd2valuezd2_415;
BgL_casezd2valuezd2_415 = 
CAR(BgL_protoz00_413); 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1954z00_416;
{ /* ./Module/statexp.scm 94 */
obj_t BgL_auxz00_765;
BgL_auxz00_765 = 
BGl_memvz00zz__r4_pairs_and_lists_6_3z00(BgL_casezd2valuezd2_415, 
CNST_TABLE_REF(((long)3))); 
BgL_test1954z00_416 = 
CBOOL(BgL_auxz00_765); } 
if(BgL_test1954z00_416)
{ /* ./Module/statexp.scm 94 */
BgL_globalz00_bglt BgL_arg1956z00_417;
{ /* ./Module/statexp.scm 94 */
obj_t BgL_arg1960z00_418;obj_t BgL_arg1962z00_419;
{ /* ./Module/statexp.scm 94 */
obj_t BgL_auxz00_770;
BgL_auxz00_770 = 
CDR(BgL_protoz00_413); 
BgL_arg1960z00_418 = 
CAR(BgL_auxz00_770); } 
{ /* ./Module/statexp.scm 95 */
obj_t BgL_auxz00_773;
{ /* ./Module/statexp.scm 95 */
obj_t BgL_auxz00_774;
BgL_auxz00_774 = 
CDR(BgL_protoz00_413); 
BgL_auxz00_773 = 
CDR(BgL_auxz00_774); } 
BgL_arg1962z00_419 = 
CAR(BgL_auxz00_773); } 
BgL_arg1956z00_417 = 
BGl_declarezd2globalzd2sfunz12z12zzast_glozd2declzd2(BgL_arg1960z00_418, BgL_arg1962z00_419, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_23, BgL_casezd2valuezd2_415, BgL_prototypez00_22, BFALSE); } 
return 
BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_arg1956z00_417);}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1968z00_421;
BgL_test1968z00_421 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_415, 
CNST_TABLE_REF(((long)4))); 
if(BgL_test1968z00_421)
{ /* ./Module/statexp.scm 102 */
BgL_globalz00_bglt BgL_arg1970z00_422;
{ /* ./Module/statexp.scm 102 */
obj_t BgL_arg1973z00_423;
{ /* ./Module/statexp.scm 102 */
obj_t BgL_auxz00_783;
BgL_auxz00_783 = 
CDR(BgL_protoz00_413); 
BgL_arg1973z00_423 = 
CAR(BgL_auxz00_783); } 
BgL_arg1970z00_422 = 
BGl_declarezd2globalzd2svarz12z12zzast_glozd2declzd2(BgL_arg1973z00_423, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_23, BgL_prototypez00_22, BFALSE); } 
return 
BGl_tozd2bezd2definez12z12zzast_findzd2gdefszd2(BgL_arg1970z00_422);}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1976z00_424;
BgL_test1976z00_424 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_415, 
CNST_TABLE_REF(((long)5))); 
if(BgL_test1976z00_424)
{ /* ./Module/statexp.scm 108 */
obj_t BgL_arg1978z00_425;
{ /* ./Module/statexp.scm 108 */
obj_t BgL_zc3anonymousza31983ze3z83_669;
{ 
int BgL_auxz00_793;int BgL_auxz00_791;
BgL_auxz00_793 = 
(int)(((long)3)); 
BgL_auxz00_791 = 
(int)(((long)0)); 
BgL_zc3anonymousza31983ze3z83_669 = 
make_fx_procedure(BGl_zc3anonymousza31983ze3z83zzmodule_statexpz00, BgL_auxz00_791, BgL_auxz00_793); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_796;
BgL_auxz00_796 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31983ze3z83_669, BgL_auxz00_796, BgL_protoz00_413); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_799;
BgL_auxz00_799 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31983ze3z83_669, BgL_auxz00_799, BgL_importz00_23); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_802;
BgL_auxz00_802 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31983ze3z83_669, BgL_auxz00_802, BgL_prototypez00_22); } 
BgL_arg1978z00_425 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31983ze3z83_669); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1978z00_425, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test1990z00_430;
BgL_test1990z00_430 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_415, 
CNST_TABLE_REF(((long)6))); 
if(BgL_test1990z00_430)
{ /* ./Module/statexp.scm 116 */
obj_t BgL_arg1993z00_431;
{ /* ./Module/statexp.scm 116 */
obj_t BgL_zc3anonymousza31998ze3z83_670;
{ 
int BgL_auxz00_812;int BgL_auxz00_810;
BgL_auxz00_812 = 
(int)(((long)3)); 
BgL_auxz00_810 = 
(int)(((long)0)); 
BgL_zc3anonymousza31998ze3z83_670 = 
make_fx_procedure(BGl_zc3anonymousza31998ze3z83zzmodule_statexpz00, BgL_auxz00_810, BgL_auxz00_812); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_815;
BgL_auxz00_815 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza31998ze3z83_670, BgL_auxz00_815, BgL_protoz00_413); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_818;
BgL_auxz00_818 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza31998ze3z83_670, BgL_auxz00_818, BgL_importz00_23); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_821;
BgL_auxz00_821 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza31998ze3z83_670, BgL_auxz00_821, BgL_prototypez00_22); } 
BgL_arg1993z00_431 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza31998ze3z83_670); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg1993z00_431, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test2003z00_436;
BgL_test2003z00_436 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_415, 
CNST_TABLE_REF(((long)7))); 
if(BgL_test2003z00_436)
{ /* ./Module/statexp.scm 124 */
obj_t BgL_arg2005z00_437;
{ /* ./Module/statexp.scm 124 */
obj_t BgL_zc3anonymousza32010ze3z83_671;
{ 
int BgL_auxz00_831;int BgL_auxz00_829;
BgL_auxz00_831 = 
(int)(((long)3)); 
BgL_auxz00_829 = 
(int)(((long)0)); 
BgL_zc3anonymousza32010ze3z83_671 = 
make_fx_procedure(BGl_zc3anonymousza32010ze3z83zzmodule_statexpz00, BgL_auxz00_829, BgL_auxz00_831); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_834;
BgL_auxz00_834 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_671, BgL_auxz00_834, BgL_protoz00_413); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_837;
BgL_auxz00_837 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_671, BgL_auxz00_837, BgL_importz00_23); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_840;
BgL_auxz00_840 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32010ze3z83_671, BgL_auxz00_840, BgL_prototypez00_22); } 
BgL_arg2005z00_437 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32010ze3z83_671); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg2005z00_437, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* ./Module/statexp.scm 93 */
bool_t BgL_test2015z00_442;
BgL_test2015z00_442 = 
BGl_eqvzf3zf3zz__r4_equivalence_6_2z00(BgL_casezd2valuezd2_415, 
CNST_TABLE_REF(((long)8))); 
if(BgL_test2015z00_442)
{ /* ./Module/statexp.scm 132 */
obj_t BgL_arg2018z00_443;
{ /* ./Module/statexp.scm 132 */
obj_t BgL_zc3anonymousza32023ze3z83_672;
{ 
int BgL_auxz00_850;int BgL_auxz00_848;
BgL_auxz00_850 = 
(int)(((long)3)); 
BgL_auxz00_848 = 
(int)(((long)0)); 
BgL_zc3anonymousza32023ze3z83_672 = 
make_fx_procedure(BGl_zc3anonymousza32023ze3z83zzmodule_statexpz00, BgL_auxz00_848, BgL_auxz00_850); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_853;
BgL_auxz00_853 = 
(int)(((long)0)); 
PROCEDURE_SET(BgL_zc3anonymousza32023ze3z83_672, BgL_auxz00_853, BgL_protoz00_413); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_856;
BgL_auxz00_856 = 
(int)(((long)1)); 
PROCEDURE_SET(BgL_zc3anonymousza32023ze3z83_672, BgL_auxz00_856, BgL_importz00_23); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_859;
BgL_auxz00_859 = 
(int)(((long)2)); 
PROCEDURE_SET(BgL_zc3anonymousza32023ze3z83_672, BgL_auxz00_859, BgL_prototypez00_22); } 
BgL_arg2018z00_443 = 
BGl_makezd2promisezd2zz__r4_control_features_6_9z00(BgL_zc3anonymousza32023ze3z83_672); } 
return ( 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = 
MAKE_PAIR(BgL_arg2018z00_443, BGl_za2localzd2classesza2zd2zzmodule_statexpz00), BUNSPEC) ;}  else 
{ /* ./Module/statexp.scm 138 */
obj_t BgL_list2029z00_448;
BgL_list2029z00_448 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzd2zztools_errorz00(BGl_string2299z00zzmodule_statexpz00, BGl_string2301z00zzmodule_statexpz00, BgL_prototypez00_22, BgL_list2029z00_448);} } } } } } } }  else 
{ /* ./Module/statexp.scm 87 */
obj_t BgL_arg2040z00_449;
BgL_arg2040z00_449 = 
BGl_findzd2locationzd2zztools_locationz00(BGl_za2modulezd2clauseza2zd2zzmodule_modulez00); 
{ /* ./Module/statexp.scm 87 */
obj_t BgL_list2045z00_453;
BgL_list2045z00_453 = 
MAKE_PAIR(BNIL, BNIL); 
return 
BGl_userzd2errorzf2locationz20zztools_errorz00(BgL_arg2040z00_449, BGl_string2299z00zzmodule_statexpz00, BGl_string2301z00zzmodule_statexpz00, BgL_prototypez00_22, BgL_list2045z00_453);} } } } } 
}



/* <anonymous:1983> */
obj_t BGl_zc3anonymousza31983ze3z83zzmodule_statexpz00(obj_t BgL_envz00_673)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 108 */
{ /* ./Module/statexp.scm 108 */
obj_t BgL_protoz00_674;obj_t BgL_importz00_675;obj_t BgL_prototypez00_676;
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_869;
BgL_auxz00_869 = 
(int)(((long)0)); 
BgL_protoz00_674 = 
PROCEDURE_REF(BgL_envz00_673, BgL_auxz00_869); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_872;
BgL_auxz00_872 = 
(int)(((long)1)); 
BgL_importz00_675 = 
PROCEDURE_REF(BgL_envz00_673, BgL_auxz00_872); } 
{ /* ./Module/statexp.scm 108 */
int BgL_auxz00_875;
BgL_auxz00_875 = 
(int)(((long)2)); 
BgL_prototypez00_676 = 
PROCEDURE_REF(BgL_envz00_673, BgL_auxz00_875); } 
{ 

{ /* ./Module/statexp.scm 108 */
obj_t BgL_arg1987z00_428;
BgL_arg1987z00_428 = 
CDR(BgL_protoz00_674); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg1987z00_428, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_675, ((bool_t)0), ((bool_t)0), BgL_prototypez00_676, BFALSE);} } } } 
}



/* <anonymous:1998> */
obj_t BGl_zc3anonymousza31998ze3z83zzmodule_statexpz00(obj_t BgL_envz00_677)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 116 */
{ /* ./Module/statexp.scm 116 */
obj_t BgL_protoz00_678;obj_t BgL_importz00_679;obj_t BgL_prototypez00_680;
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_880;
BgL_auxz00_880 = 
(int)(((long)0)); 
BgL_protoz00_678 = 
PROCEDURE_REF(BgL_envz00_677, BgL_auxz00_880); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_883;
BgL_auxz00_883 = 
(int)(((long)1)); 
BgL_importz00_679 = 
PROCEDURE_REF(BgL_envz00_677, BgL_auxz00_883); } 
{ /* ./Module/statexp.scm 116 */
int BgL_auxz00_886;
BgL_auxz00_886 = 
(int)(((long)2)); 
BgL_prototypez00_680 = 
PROCEDURE_REF(BgL_envz00_677, BgL_auxz00_886); } 
{ 

{ /* ./Module/statexp.scm 116 */
obj_t BgL_arg2000z00_434;
BgL_arg2000z00_434 = 
CDR(BgL_protoz00_678); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg2000z00_434, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_679, ((bool_t)0), ((bool_t)1), BgL_prototypez00_680, BFALSE);} } } } 
}



/* <anonymous:2010> */
obj_t BGl_zc3anonymousza32010ze3z83zzmodule_statexpz00(obj_t BgL_envz00_681)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 124 */
{ /* ./Module/statexp.scm 124 */
obj_t BgL_protoz00_682;obj_t BgL_importz00_683;obj_t BgL_prototypez00_684;
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_891;
BgL_auxz00_891 = 
(int)(((long)0)); 
BgL_protoz00_682 = 
PROCEDURE_REF(BgL_envz00_681, BgL_auxz00_891); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_894;
BgL_auxz00_894 = 
(int)(((long)1)); 
BgL_importz00_683 = 
PROCEDURE_REF(BgL_envz00_681, BgL_auxz00_894); } 
{ /* ./Module/statexp.scm 124 */
int BgL_auxz00_897;
BgL_auxz00_897 = 
(int)(((long)2)); 
BgL_prototypez00_684 = 
PROCEDURE_REF(BgL_envz00_681, BgL_auxz00_897); } 
{ 

{ /* ./Module/statexp.scm 124 */
obj_t BgL_arg2012z00_440;
BgL_arg2012z00_440 = 
CDR(BgL_protoz00_682); 
return 
BGl_declarezd2classz12zc0zzmodule_classz00(BgL_arg2012z00_440, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_683, ((bool_t)1), ((bool_t)0), BgL_prototypez00_684, BFALSE);} } } } 
}



/* <anonymous:2023> */
obj_t BGl_zc3anonymousza32023ze3z83zzmodule_statexpz00(obj_t BgL_envz00_685)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 132 */
{ /* ./Module/statexp.scm 132 */
obj_t BgL_protoz00_686;obj_t BgL_importz00_687;obj_t BgL_prototypez00_688;
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_902;
BgL_auxz00_902 = 
(int)(((long)0)); 
BgL_protoz00_686 = 
PROCEDURE_REF(BgL_envz00_685, BgL_auxz00_902); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_905;
BgL_auxz00_905 = 
(int)(((long)1)); 
BgL_importz00_687 = 
PROCEDURE_REF(BgL_envz00_685, BgL_auxz00_905); } 
{ /* ./Module/statexp.scm 132 */
int BgL_auxz00_908;
BgL_auxz00_908 = 
(int)(((long)2)); 
BgL_prototypez00_688 = 
PROCEDURE_REF(BgL_envz00_685, BgL_auxz00_908); } 
{ 

{ /* ./Module/statexp.scm 132 */
obj_t BgL_arg2025z00_446;
BgL_arg2025z00_446 = 
CDR(BgL_protoz00_686); 
return 
BGl_declarezd2widezd2classz12z12zzmodule_classz00(BgL_arg2025z00_446, BGl_za2moduleza2z00zzmodule_modulez00, BgL_importz00_687, BgL_prototypez00_688, BFALSE);} } } } 
}



/* statexp-finalizer */
obj_t BGl_statexpzd2finaliza7erz75zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 160 */
{ 
obj_t BgL_l1833z00_454;
{ /* ./Module/statexp.scm 162 */
obj_t BgL_arg2052z00_456;
BgL_arg2052z00_456 = 
BGl_reversez12z12zz__r4_pairs_and_lists_6_3z00(BGl_za2localzd2classesza2zd2zzmodule_statexpz00); 
BgL_l1833z00_454 = BgL_arg2052z00_456; 
BgL_forzd2each1834zd2_455:
{ /* ./Module/statexp.scm 162 */
bool_t BgL_test2055z00_457;
BgL_test2055z00_457 = 
PAIRP(BgL_l1833z00_454); 
if(BgL_test2055z00_457)
{ /* ./Module/statexp.scm 162 */
{ /* ./Module/statexp.scm 162 */
obj_t BgL_arg2057z00_458;
BgL_arg2057z00_458 = 
CAR(BgL_l1833z00_454); 
PROCEDURE_ENTRY(BgL_arg2057z00_458)(BgL_arg2057z00_458, BEOA); } 
{ /* ./Module/statexp.scm 162 */
obj_t BgL_arg2061z00_459;
BgL_arg2061z00_459 = 
CDR(BgL_l1833z00_454); 
{ 
obj_t BgL_l1833z00_920;
BgL_l1833z00_920 = BgL_arg2061z00_459; 
BgL_l1833z00_454 = BgL_l1833z00_920; 
goto BgL_forzd2each1834zd2_455;} } }  else 
{ /* ./Module/statexp.scm 162 */((bool_t)1); } } } } 
BGl_za2localzd2classesza2zd2zzmodule_statexpz00 = BNIL; 
{ /* ./Module/statexp.scm 165 */
obj_t BgL_classesz00_460;
BgL_classesz00_460 = 
BGl_classzd2finaliza7erz75zzmodule_classz00(); 
if(
PAIRP(BgL_classesz00_460))
{ /* ./Module/statexp.scm 166 */
return BgL_classesz00_460;}  else 
{ /* ./Module/statexp.scm 166 */
return 
CNST_TABLE_REF(((long)1));} } } 
}



/* _statexp-finalizer */
obj_t BGl__statexpzd2finaliza7erz75zzmodule_statexpz00(obj_t BgL_envz00_668)
{ AN_OBJECT;
{ /* ./Module/statexp.scm 160 */
return 
BGl_statexpzd2finaliza7erz75zzmodule_statexpz00();} 
}



/* method-init */
obj_t BGl_methodzd2initzd2zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
return BUNSPEC;} 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zzmodule_statexpz00()
{ AN_OBJECT;
{ /* ./Module/statexp.scm 15 */
BGl_modulezd2initializa7ationz75zzmodule_modulez00(((long)8699), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzmodule_prototypez00(((long)9611), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzmodule_classz00(((long)34127), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_errorz00(((long)25566), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_argsz00(((long)42726), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztools_locationz00(((long)32118), "module_statexp"); 
BGl_modulezd2initializa7ationz75zztype_typez00(((long)19090), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzobject_classz00(((long)30791), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_varz00(((long)44246), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_identz00(((long)51504), "module_statexp"); 
BGl_modulezd2initializa7ationz75zzast_findzd2gdefszd2(((long)59854), "module_statexp"); 
return 
BGl_modulezd2initializa7ationz75zzast_glozd2declzd2(((long)31087), "module_statexp");} 
}

